Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.reflect
Class NoSourceNameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.inject.rebind.reflect.NoSourceNameException

All Implemented Interfaces:
  java.io.Serializable

    public class NoSourceNameException

extends java.lang.Exception

Thrown if a source name is requested but cannot be provided.

Author:
  schmitt@google.com (Peter Schmitt)
See Also:
  Serialized Form

Constructor Summary
`NoSourceNameException(java.lang.reflect.Type type)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSourceNameException

    public NoSourceNameException(java.lang.reflect.Type type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD